summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-04-27 07:23:39 +0000
committerPatrice Clement <monsieurp@gentoo.org>2016-04-27 08:45:40 +0000
commit5e1f0a1a9e9925d7bb2dce0bb4645d9593676b92 (patch)
tree24b3e602db7171d6b4e5cf89a93ca645debf7a35 /app-shells/bashdb
parentdev-go/sanitized-anchor-name: amd64 stable wrt bug #581236 (diff)
downloadgentoo-5e1f0a1a9e9925d7bb2dce0bb4645d9593676b92.tar.gz
gentoo-5e1f0a1a9e9925d7bb2dce0bb4645d9593676b92.tar.bz2
gentoo-5e1f0a1a9e9925d7bb2dce0bb4645d9593676b92.zip
app-shells/bashdb: EAPI 6 bump.
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-shells/bashdb')
-rw-r--r--app-shells/bashdb/bashdb-4.3.0.91-r2.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/app-shells/bashdb/bashdb-4.3.0.91-r2.ebuild b/app-shells/bashdb/bashdb-4.3.0.91-r2.ebuild
new file mode 100644
index 00000000000..7e664c6cebc
--- /dev/null
+++ b/app-shells/bashdb/bashdb-4.3.0.91-r2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+MY_P="${PN}-${PV:0:3}-${PV:4}"
+DESCRIPTION="bash source code debugging"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bashdb/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+DEPEND="!>=app-shells/bash-${PV:0:1}.$((${PV:2:1}+1))"
+
+S="${WORKDIR}/${MY_P}"
+
+# Unfortunately, not all tests pass.
+RESTRICT="test"
+
+src_prepare() {
+ default
+ # We don't install this, so don't bother building it. #468044
+ sed -i 's:texi2html:true:' doc/Makefile.in || die
+}